%define kdeprefix %{_prefix}
%define qtdir /usr/lib/qt-1.45

Name: ktalk
Summary: KTalk is a graphical talk client
Version: 0.2.7
Release: 5
Serial: 1
Source: http://www.student.uni-kl.de/~blehner/ktalk/%{name}-%{version}.tar.gz
License: GPL
URL: http://www.student.uni-kl.de/~blehner/ktalk/index.html
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: qt1x kdesupport
Prefix: %{kdeprefix}
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
KTalk is a graphical talk client for the K Desktop Environment (KDE).
It has supports several enhanced capabilities such as multiple connections,
addressbook support.  It can wrap text automatically, unlike the normal
console-based talk client.

%prep
%setup -q
%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib -I/usr/include/kde" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix}

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip prefix=$RPM_BUILD_ROOT/usr

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 is now installed as default)
- rebuilt against the kdelibs-1.1.2

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- fix build on alpha

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
